/*--------------------------------------------------------------------------
R89c51rd2.H and ed2

Header file for ATMEL T89C51RD2 microcontroller.
Copyright (c) 2004 www.wickenhaeuser.com

--------------------------------------------------------------------------*/

#include <reg51.h> // generic Ports...

#include <kar.h> // sfr and sbit

sfr  CKCON      @   0x8F;    
sfr  CKCON0      @   0x8F; // ED2
sfr  CKCON1      @   0xAF; // ED2


 sbit  CEX4    @   0x90+7; // P1
 sbit  CEX3    @   0x90+6;
 sbit  CEX2    @   0x90+5;
 sbit  CEX1    @   0x90+4;
 sbit  CEX0    @   0x90+3;
 sbit  ECI     @   0x90+2;
 sbit  T2EX    @   0x90+1;
 sbit  T2      @   0x90+0;

 sbit  FE     @   0x98+7; // SCON.7

sfr  BRL  @     0x9A;                

sfr  WDTRST  @   0xA6;    
sfr  WDTPRG  @   0xA7;    

sfr  AUXR1  @   0xA2;              

 sbit  EC     @   0xA8+6;
 sbit  ET2    @   0xA8+5;

sfr  SADDR   @   0xA9;    

sfr  AUXR    @   0x8E;     

sfr  SADEN   @   0xB9;    

 sbit PPC  @ 0xB8+6;
 sbit PT2  @ 0xB8+5;

sfr  T2CON   @   0xC8;             

 sbit  TF2    @   0xC8+7;
 sbit  EXF2   @   0xC8+6;
 sbit  RCLK   @   0xC8+5;
 sbit  TCLK   @   0xC8+4;
 sbit  EXEN2  @   0xC8+3;
 sbit  TR2    @   0xC8+2;
 sbit  CT2    @   0xC8+1;
 sbit  CPRL2  @   0xC8+0;

sfr  T2MOD   @   0xC9;    

sfr  RCAP2L  @   0xCA;    
sfr  RCAP2H  @   0xCB;    
sfr  TL2     @   0xCC;    
sfr  TH2     @   0xCD;    

sfr  BDRCON  @   0x9B;    

sfr  CCON    @   0xD8;    
 sbit  CF      @   0xD8+7;
 sbit  CR      @   0xD8+6;
 sbit  CCF4    @   0xD8+4;
 sbit  CCF3    @   0xD8+3;
 sbit  CCF2    @   0xD8+2;
 sbit  CCF1    @   0xD8+1;
 sbit  CCF0    @   0xD8+0;

sfr  CMOD    @   0xD9;    

sfr  CCAPM0  @   0xDA;    
sfr  CCAPM1  @   0xDB;    
sfr  CCAPM2  @   0xDC;    
sfr  CCAPM3  @   0xDD;    
sfr  CCAPM4  @   0xDE;    

sfr  CL      @   0xE9;    

sfr  CCAP0L  @   0xEA;    
sfr  CCAP1L  @   0xEB;    
sfr  CCAP2L  @   0xEC;    
sfr  CCAP3L  @   0xED;    
sfr  CCAP4L  @   0xEE;    

sfr  CH      @   0xF9;    

sfr  CCAP0H  @   0xFA;    
sfr  CCAP1H  @   0xFB;     
sfr  CCAP2H  @   0xFC;    
sfr  CCAP3H  @   0xFD;    
sfr  CCAP4H  @   0xFE;    

sfr  ICON  @   0xFF;               
sfr  CKSEL  @   0x85;               
sfr  OSCCON  @   0x86;               

sfr FCON  @ 0xD1;
sfr EECON @ 0xD2;
sfr EETIM @ 0xD3;

// END


